%global driver asekey
%global dropdir %(pkg-config libpcsclite --variable usbdropdir 2>/dev/null)
%global rulesdir %(pkg-config udev --variable udevdir 2>/dev/null)/rules.d

Name:           pcsc-lite-%{driver}
Version:        3.7
Release:        3%{dist}
Summary:        ASEKey USB token driver
Group:          System Environment/Libraries
# 92_pcscd_asekey.rules:    LGPLv2+
# other files:              BSD
License:        BSD and LGPLv2+
URL:            http://www.athena-scs.com/
Source0:        %{url}docs/reader-drivers/%{driver}-%(echo %{version}|tr '.' '-')-tar.bz2
# Fix PCSC bundle
Patch0:         %{driver}-3.7-bundle.patch
BuildRequires:  libusb-devel
BuildRequires:  pkgconfig(libpcsclite) >= 1.8.0
Requires:       pcsc-lite >= 1.8.0
Requires(post):     systemd
Requires(postun):   systemd
Provides:       pcsc-ifd-handler

%global __provides_exclude_from %{?__provides_exclude_from|%__provides_exclude_from|}^%{dropdir}

%description
This is driver for ASEKey USB cryptographic token in form of PCSC plug-in.

%prep
%setup -q -n %{driver}-%{version}
%patch0 -p1 -b .bundle

%build
%configure --with-udev-rules-dir="%{rulesdir}"
# Work around bug #893432:
# All platforms calls the compiler without "-gnu" suffix, except armv7hl which
# uses "-gnueabi" suffix.
%ifarch armv7hl
sed -i -e '/^BUILD=/ s/-gnu$/-gnueabi/' Makefile.inc
%else
sed -i -e '/^BUILD=/ s/-gnu$//' Makefile.inc
%endif
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post
/bin/systemctl try-restart pcscd.service >/dev/null 2>&1 || :

%postun
/bin/systemctl try-restart pcscd.service >/dev/null 2>&1 || :

%files
%license LICENSE
%doc ChangeLog README
%{dropdir}/ifd-ASEKey.bundle
%{rulesdir}/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 19 2015 Petr Pisar <ppisar@redhat.com> - 3.7-1
- Initial package
